NmAbstractServer subclass: #NmResolverServer
	instanceVariableNames: 'resolveDictionaries '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Server-ResolverServer'!

!NmResolverServer methodsFor: 'actions' stamp: 'mu 3/15/2003 02:08'!
getResolverStringNamed: mapName 
	^ NmCSVReadWriter
		csvStringFrom: (self resolveDictionaries
				at: mapName
				ifAbsent: []).
	
! !

!NmResolverServer methodsFor: 'actions' stamp: 'mu 3/15/2003 02:20'!
updateIpAndPort: ipAndPort at: pointString in: mapName
	| dictForMap |
	"ipAndPort is format is actually '123.45.6.7:80'"
	dictForMap _ self resolveDictionaries at: mapName ifAbsentPut:[Dictionary new].
	dictForMap at: pointString put: ipAndPort.
	^nil



! !


!NmResolverServer methodsFor: 'accessing' stamp: 'mu 3/15/2003 01:57'!
resolveDictionaries
	resolveDictionaries ifNil: [resolveDictionaries _  Dictionary new].
	^resolveDictionaries! !

!NmResolverServer methodsFor: 'accessing' stamp: 'mu 3/19/2003 01:41'!
resolveDictionaries: aDictionary
	resolveDictionaries _ aDictionary! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmResolverServer class
	instanceVariableNames: ''!

!NmResolverServer class methodsFor: 'class initialization' stamp: 'mu 3/24/2003 01:39'!
initialize
	self basicInitialize! !


!NmResolverServer class methodsFor: 'registering' stamp: 'mu 3/15/2003 02:10'!
registerServices
	self registerServiceNamed: #getResolverStringNamed: paramNames: #(#mapName).
	self registerServiceNamed: #updateIpAndPort:at:in: paramNames: #(#ipAndPort #pointString #mapName )! !

NmResolverServer initialize!